#
# spec file for package python-GooCalendar
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2016-2023 Dr. Axel Braun <DocB@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-GooCalendar
Version:        0.8.0
Release:        2.5
Summary:        A calendar widget for GTK using PyGoocanvas
License:        GPL-2.0-only
Group:          Development/Languages/Python
URL:            https://goocalendar.tryton.org/
Source:         https://files.pythonhosted.org/packages/source/G/GooCalendar/GooCalendar-%{version}.tar.gz
BuildRequires:  %{python_module Genshi}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  gobject-introspection
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A calendar widget for GTK using PyGoocanvas (Gnome widget linrary).

%prep
%setup -q -n GooCalendar-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README COPYRIGHT
%{python_sitelib}/goocalendar
%{python_sitelib}/GooCalendar-%{version}.dist-info

%changelog
* Sun Jan 21 2024 Dirk Müller <dmueller@suse.com>
- enable sle15 pythons build
- use PEP517 build
* Sun Mar 19 2023 Axel Braun <axel.braun@gmx.de>
- Version 0.8.0
  * Manage preferred size
* Fri Aug 13 2021 Axel Braun <axel.braun@gmx.de>
- Version 0.7.2
  * Add support GooCanvas 3.0
  * Add selected text color property
  * Remove lighter background on event
* Tue Mar  9 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Drop the bogus and incomplete typelib() (Build)Requires. Add
  gobject-intrpsection BuildRequires instead to have the typelib()
  deps autogenerated (uncovered as part of boo#1183216).
* Mon Apr 20 2020 Axel Braun <axel.braun@gmx.de>
- 0.7.1 bugfix release
* Mon Feb 24 2020 Axel Braun <axel.braun@gmx.de>
- version 0.7
  * Use Gtk default font as font by default
  * Manage non editable event
  * Add support for Python 3.8
  * Replace font-desc properties by font
* Sun Oct  6 2019 Axel Braun <axel.braun@gmx.de>
- Version 0.6
  * Add support for Python 3.7
* Thu Mar 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5 release:
  * Actual python3 support using typelib introspection dependencies
* Wed Jan 23 2019 Todd R <toddrme2178@gmail.com>
- Disable for python3.  This doesn't work without python-goocanvas,
  which doesn't support python3.
* Wed Jun 27 2018 mcepl@suse.com
- Upgrade to 0.4, where the change is that it supports python3 now.
* Mon Jun 25 2018 mcepl@suse.com
- Clean SPEC file
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Nov 29 2016 axel.braun@gmx.de
- Version 0.3
  * Add support for goocanvas >= 2.0
  * Add colors and font-desc properties to Calendar
* Fri Jul  1 2016 axel.braun@gmx.de
- version 0.2
  changed download link to pypi.io
  correct license string
  added License and copyright info to package
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat Jan 11 2014 axel.braun@gmx.de
- Initial Build on OBS
